package com.xhpc.job.task;
import com.xhpc.job.service.ICardJobService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * @author yuyang
 * @date 2022/1/24 11:26
 */
@Component("cardTask")
public class CardTask {

    @Autowired
    ICardJobService cardJobService;

    public void cardStartup(String cardNumber, String serialNumber){
        System.out.println("执行方法11有参方法cardNumber：" + cardNumber);
        System.out.println("执行方法11有参方法serialNumber：" + serialNumber);
        cardJobService.cardStartup(cardNumber,serialNumber);
    }

    public void cardSotup(String phone, String tenantId){
        System.out.println("执行方法22有参方法phone：" + phone);
        System.out.println("执行方法22有参方法tenantId：" + tenantId);
        System.out.println("55555");
    }
}
